function vars = bn_vars(bn)
%BN_VARS returns the variables in a Bayesian network.
%   VARS = BN_VARS(BN) returns the variables in the Bayesian network BN.
%
%   The variables are ordered from parents to children (i.e. parents always
%   appear before their children). Actually this implementation assumes
%   that the Bayesian network is already partially ordered; the variables
%   will not be sorted in this function.

vars = 1 : length(bn.parents);
