function bn = create_alarm_bn()
%CREATE_ALARM_BN creates the alarm network as described in Russell and
%Norvig.
%   BN = CREATE_ALARM_BN() creates the alarm network data structure, which
%   can be accessed by BN_VARS, BN_PARENTS, and BN_CPT.
%
%   The variables are ordered from parents to children (i.e. parents always
%   appear before their children), which is important for inference by
%   enumeration.

bn.parents = {[], [], [1 2], 3, 3};
bn.cpt = {.001, .002, [.001 .29 .94 .95], [.05 .9], [.01 .7]};
